# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_audiokonverter
%define summary audio converter
%define version 5.4.5a
%define release 1.2007mcnl 
%define	vendor 	Mandrivaclub.nl

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Vendor:		%{vendor} 
Url:		http://www.kde-apps.org/content/show.php?content=12608
Group:		Graphical desktop/KDE
License:	GPL 

Source0:        12608-audiokonverter-%{version}.tar.bz2

BuildArch:  	noarch

Requires: faac faad2 flac mplayer ffmpeg lame
Requires: id3lib vorbis-tools wavpack

Obsoletes: audiokonverter


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

 
%description  
audiokonverter is a small utility to easily convert from
OGG, MP3, AAC, M4A, FLAC, WMA, RealAudio, Wavpack,
WAV and movies to MP3, OGG, M4A, WAV and FLAC in Konqueror
by right-clicking on them.
It needs  vorbis-tools, faac,
faad2, flac, mplayer, ffmpeg, lame, 
id3lib,, metaflac to work. 

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n audiokonverter-%{version}


%install
mkdir -p %{buildroot}%{_bindir}
install -m755 anytowav audioconvert movie2sound %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/mimelnk/audio/
install -m644 x-wavpack.desktop x-flv.desktop  %{buildroot}%{_datadir}/mimelnk/audio/
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus/
install -m 644 audioconvert.desktop audiofrommovie.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus/

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%doc COPYING Changelog README
%attr(755,root,root) %{_bindir}/anytowav
%attr(755,root,root) %{_bindir}/audioconvert
%attr(755,root,root) %{_bindir}/movie2sound
%{_datadir}/mimelnk/audio/x-wavpack.desktop
%{_datadir}/mimelnk/audio/x-flv.desktop  
%{_datadir}/apps/konqueror/servicemenus/audioconvert.desktop
%{_datadir}/apps/konqueror/servicemenus/audiofrommovie.desktop


%changelog  

* Sat Jan 07 2007 Marco Meijer <marco@mandrivaclub.nl> 5.4.5a-1.2007mcnl
- special mandrivaclub.nl build
